package yangtz.cs.liu.campus.mapper.schoolNewTeacherDzdn;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.SchoolIdCardQuerReq;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.SchoolTeacherBasicInformation;
import yangtz.cs.liu.campus.domain.schoolNewTeacherDzdn.SchoolTeacherBasicInformationVo;

import java.util.List;
import java.util.Map;

public interface SchoolTeacherBasichlnformationMapper extends BaseMapper<SchoolTeacherBasicInformation> {


    List<SchoolTeacherBasicInformationVo> list(SchoolTeacherBasicInformationVo information);

    SchoolTeacherBasicInformationVo selectById(Long id);

    int updateInformationById(SchoolTeacherBasicInformation information);

    List<SchoolIdCardQuerReq> selectByIdCardMap();

    /**
     * 根据手机号查询身份证信息
     * @param userPhones
     * @return
     */
    List<String> selectIdCardsByDdPhone(@Param("userPhones") List<String> userPhones);

    /**
     * 根据手机号查询学科
     * @return
     */
    String selectSubByDdPhone(@Param("ddPhone") String ddPhone);

}
